require('bufferline').setup {
  options = {
    offsets = {
      {
        filetype = 'NvimTree',
        text = 'File Explorer',
        text_align = 'center',
      },
      buffer_close_icon = codevim.icons.ui.Close,
      modified_icon = codevim.icons.ui.Circle,
      close_icon = codevim.icons.ui.BoldClose,
      left_trunc_marker = codevim.icons.ui.ArrowCircleLeft,
      right_trunc_marker = codevim.icons.ui.ArrowCircleRight,

    },
    diagnostics = 'nvim_lsp',
    diagnostics_indicator = function(count, level, diagnostics_dict, context)
      local s = " "
      for e, n in pairs(diagnostics_dict) do
        local sym = e == "error" and codevim.icons.diagnostics.Error or (e == "warning" and codevim.icons.diagnostics.Warning or codevim.icons.diagnostics.Information)
        s = s .. n .. sym
      end
      return s
    end
  }
}
