local null_ls = require('null-ls')
local mason_null_ls = require('mason-null-ls')

local formatting = null_ls.builtins.formatting
local diagnostics = null_ls.builtins.diagnostics

local formatters_linters = {
  prettier = {},
  rustfmt = {},
  black = {},
  pylint = {},
  eslint_d = {},
}

mason_null_ls.setup({
  ensure_installed = vim.tbl_keys(formatters_linters)
})
null_ls.setup ({
  sources = {
    formatting.prettier,
    formatting.rustfmt,
    formatting.black,
    diagnostics.pylint,
    diagnostics.eslint,
  },
  on_attach = function(current_client, bufnr)
    if current_client.supports_method("textDocument/formatting") then
		vim.api.nvim_buf_set_keymap(bufnr,"n",  "<C-y>", '<CMD>lua vim.lsp.buf.format({ async = true })<CR>', {  })
    end
  end,
})
